Bug 1569108 (CVE-2018-10194) - CVE-2018-10194 ghostscript: Stack-based out-of-bounds write in pdf_set_text_matrix function in gdevpdts.c
Summary: CVE-2018-10194 ghostscript: Stack-based out-of-bounds write in pdf_set_text_m...
Status: CLOSED ERRATA
Alias: CVE-2018-10194
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180420,repor...
Keywords: Security
Depends On: 1569818 1569819 1569820 1569821 1629842
Blocks: 1569109
TreeView+ depends on / blocked
 
Reported: 2018-04-18 15:45 UTC by Pedro Sampaio
Modified: 2019-06-08 22:50 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-28 15:31:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2918 None None None 2018-10-16 02:25 UTC

Description Pedro Sampaio 2018-04-18 15:45:11 UTC
pdf_set_text_matrix in gdevpdts.c in Artifex Ghostscript through 9.18 allows remote attackers to cause a denial of service (spprint.c pprintg1 stack-based out-of-bounds write) or possibly execute arbitrary code via a crafted PDF document.

Comment 4 Doran Moppert 2018-04-20 03:03:20 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1569821]

Comment 6 Doran Moppert 2018-04-20 03:05:29 UTC
oss-security:

http://www.openwall.com/lists/oss-security/2018/04/19/5

Comment 12 Doran Moppert 2018-04-27 03:08:15 UTC
Statement:

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 14 errata-xmlrpc 2018-10-16 02:25:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2918 https://access.redhat.com/errata/RHSA-2018:2918

Comment 15 Cedric Buissart 🐶 2018-11-28 15:26:41 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509


Note You need to log in before you can comment on or make changes to this bug.